NX二次开发-NXOpen中Point3d类型转换成point类型

Posted nxopen2018

tags:

篇首语:本文由小常识网(cha138.com)小编为大家整理,主要介绍了NX二次开发-NXOpen中Point3d类型转换成point类型相关的知识,希望对你有一定的参考价值。

 1     NX9+VS2012
 2     
 3     #include <NXOpen/NXObject.hxx>
 4     #include <NXOpen/Part.hxx>
 5     #include <NXOpen/PartCollection.hxx>
 6     #include <NXOpen/Point.hxx>
 7     #include <NXOpen/PointCollection.hxx>
 8 
 9     NXOpen::Session *theSession = NXOpen::Session::GetSession();
10     NXOpen::Part *workPart(theSession->Parts()->Work());
11     NXOpen::Part *displayPart(theSession->Parts()->Display());
12 
13     NXOpen::Point3d Point1XYZ(0,0,0);
14     NXOpen::Point *Point1 = workPart->Points()->CreatePoint(Point1XYZ);
15         
16     NXOpen::Point3d Point2XYZ(100,100,100);
17     NXOpen::Point *Point2 = workPart->Points()->CreatePoint(Point2XYZ);

 

以上是关于NX二次开发-NXOpen中Point3d类型转换成point类型的主要内容,如果未能解决你的问题,请参考以下文章

UG NX二次开发(C#)-曲线-创建样条曲线的几种方法

UG NX二次开发(C#)-曲线-NXOpen.Curve初探

UG NX二次开发(C#)-曲线-NXOpen.Curve初探

NX二次开发-UFUN和NXOpen结合开发中Tag_t对象与TaggedObject对象转换方法

NX二次开发-NXString转换为char*方法

NX二次开发-NXOpen::CoordinateSystemCollection Class Reference